# FoundationClasses
TKernel
NCollection

# NCollection_BaseVector::MemBlock Class Reference

`#include <NCollection_BaseVector.hxx>`

Inheritance diagram for NCollection_BaseVector::MemBlock:

[legend]

## Public Member Functions

void | SetLength (const size_t theLen)
size_t | Length () const
void * | Find (const Standard_Integer theInd, const size_t theSize) const
Standard_EXPORT Standard_Integer | GetIndexV (void *theItem, const size_t theSz) const

## Protected Member Functions

| MemBlock ()
| MemBlock (const Standard_Integer theFirstInd, const Standard_Integer theLength)
virtual | ~MemBlock ()
virtual void | Reinit (const Standard_Integer, const size_t)
Standard_Integer | FirstIndex () const
size_t | Size () const

## Protected Attributes

Standard_Integer | myFirstInd
size_t | myLength
size_t | mySize
void * | myData

## Constructor & Destructor Documentation

NCollection_BaseVector::MemBlock::MemBlock | ( |  | ) | `[inline, protected]`

| Reimplemented in NCollection_Vector< TheItemType >::MemBlock.

NCollection_BaseVector::MemBlock::MemBlock | ( | const Standard_Integer | theFirstInd,
|  | const Standard_Integer | theLength
| ) | `[inline, protected]`

| Reimplemented in NCollection_Vector< TheItemType >::MemBlock.

virtual NCollection_BaseVector::MemBlock::~MemBlock | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in NCollection_Vector< TheItemType >::MemBlock.

## Member Function Documentation

void* NCollection_BaseVector::MemBlock::Find | ( | const Standard_Integer | theInd,
|  | const size_t | theSize
| ) | const`[inline]`

Standard_Integer NCollection_BaseVector::MemBlock::FirstIndex | ( |  | ) | const`[inline, protected]`

Standard_EXPORT Standard_Integer NCollection_BaseVector::MemBlock::GetIndexV | ( | void * | theItem,
|  | const size_t | theSz
| ) | const

size_t NCollection_BaseVector::MemBlock::Length | ( |  | ) | const`[inline]`

virtual void NCollection_BaseVector::MemBlock::Reinit | ( | const | Standard_Integer,
|  | const | size_t
| ) | `[inline, protected, virtual]`

void NCollection_BaseVector::MemBlock::SetLength | ( | const size_t | theLen | ) | `[inline]`

size_t NCollection_BaseVector::MemBlock::Size | ( |  | ) | const`[inline, protected]`

## Field Documentation

void* NCollection_BaseVector::MemBlock::myData `[protected]`

Standard_Integer NCollection_BaseVector::MemBlock::myFirstInd `[protected]`

size_t NCollection_BaseVector::MemBlock::myLength `[protected]`

size_t NCollection_BaseVector::MemBlock::mySize `[protected]`

The documentation for this class was generated from the following file:

- NCollection_BaseVector.hxx